Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] AGGIORNAMENTO NON RIUSCITO
#1
Salve ho la versione Ubuntu 12.04 LTS ma non riesco ad aggiornare il sistema.
Ho provato alcune cose ma ora il terminale mi dice questo:'E:Il pacchetto libbamf3-0 deve essere reinstallato, ma non è possibile trovarne un archivio. Come faccio?
Grazie in anticipo
Cita messaggio
#2
ciao, intanto inizia a dare questo comando dal terminale:
sudo rm /var/lib/apt/lists/* -vf
elimineremo eventuali dipendenze lasciate in sospeso.
ora da sorgenti sofftware controlla di avere impostato "da server principale"
chiudi tutto e dal terminale.
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
un comando alla volta. se al termine di ogni comando ti evidenzia errori, postali copia/incolla senza procedere al sucessivo.
Cita messaggio
#3
Ciao dxgiusti,grazie per la risposta velocissima, il forum funziona a meraviglia!!
Ti posto le ultime novità:

Dopo il comando sudo rm /var/lib/apt/lists/* -vf al terminale:

enrico@enrico-SCENIC-P-SCENICO-P:~$ sudo rm /var/lib/apt/lists/* -vf
[sudo] password for enrico:
"/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_natty_partner_binary-i386_Packages" rimosso
"/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_natty_partner_source_Sources" rimosso
"/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_natty_Release" rimosso

... omissis ...


"/var/lib/apt/lists/mirror.symnds.com_ubuntu_dists_precise-updates_universe_source_Sources" rimosso
rm: impossibile rimuovere "/var/lib/apt/lists/partial": È una directory
enrico@enrico-SCENIC-P-SCENICO-P:~$

Apro il Gestore Aggiornamenti per controllare il server impostato ma nel più bello mi vedo scritto:
Impossibile inizializzare le informazioni del pacchetto
Si è verificato un problema irrisolvibile durante l'inizializzazione delle informazioni del pacchetto.
Segnalare questo bug per il pacchetto «update-manager» e includere il seguente messaggio d'errore:
'E:Il pacchetto libbamf3-0 deve essere reinstallato, ma non è possibile trovarne un archivio.'

Dopo il comando sudo apt-get update al terminale:

enrico@enrico-SCENIC-P-SCENICO-P:~$ sudo apt-get update
Ign http://it.archive.ubuntu.com natty-backports InRelease
Ign http://ubuntu.mirror.garr.it precise InRelease

... omissis ...


Scaricamento di:2 http://extras.ubuntu.com precise Release.gpg [72 B]

... omissis ...


404 Not Found [IP: 193.206.139.45 80]
Err http://it.archive.ubuntu.com natty-backports/main i386 Packages
404 Not Found [IP: 193.206.139.45 80]
Err http://it.archive.ubuntu.com natty-backports/restricted i386 Packages

... omissis ...


Recuperati 26,6 MB in 1min 10s (375 kB/s)
W: Impossibile recuperare http://it.archive.ubuntu.com/ubuntu/dist...ce/Sources 404 Not Found [IP: 193.206.139.45 80]

W: Impossibile recuperare bzip2:/var/lib/apt/lists/partial/ubuntu.mirror.garr.it_mirrors_ubuntu-archive_dists_precise-updates_main_source_Sources Somma hash non corrispondente

E: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.
enrico@enrico-SCENIC-P-SCENICO-P:~$


Dopo il comando sudo apt-get update al terminale:

enrico@enrico-SCENIC-P-SCENICO-P:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt-get -f install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
libbamf3-0 : Dipende: bamfdaemon (= 0.2.126-0ubuntu1) ma la versione 0.2.124.2-0ubuntu1 è installata
E: Dipendenze non trovate. Riprovare usando -f.
enrico@enrico-SCENIC-P-SCENICO-P:~$

ho fatto una fesseria perchè ho letto dopo tutto il tuo messaggio,dovevo fermarmi prima e postare.
Scusami.
Cita messaggio
#4
intanto cominciamo a sistemare alcune cose: natty e precise non possono coesistere, sono riferiti a due versioni diverse. se tu hai 12.04 hai precise, quindi apri la sources.list e cancella completamente tutte le righe contenenti natty ( era la 11.04 ) se hai paura a cancellare, anteponi # all'inizio della riga ( in gergo dicono editare ), il risultato sarà uguale. per aprire la lista dal terminale:
sudo gedit /etc/apt/sources.list
ricordati dopo la modifica di salvare prima di uscire. quindi riaggiorna e .... vediamo. ciao
Cita messaggio
#5
Ciao dxgiusti,grazie per la risposta velocissima,
ho aperto la sources.list e cancellato le righe contenenti natty, salvato e provato ad iniziare da capo, e c'è sempre sto libbamf3-0 !! mahh..

enrico@enrico-SCENIC-P-SCENICO-P:~$ sudo rm /var/lib/apt/lists/* -vf
[sudo] password for enrico:
"/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_natty_partner_binary-i386_Packages" rimosso
"/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_natty_partner_source_Sources" rimosso

... omissis ...

Scaricamento di:86 http://ubuntu.mirror.garr.it precise-security/main Translation-en [154 kB]
Scaricamento di:87 http://ubuntu.mirror.garr.it precise-security/multiverse Translation-en [1299 B]

... omissis ...

Scaricamento di:101 http://ubuntu.mirror.garr.it precise-proposed/universe Translation-en [13,9 kB]
Recuperati 26,6 MB in 1min 36s (275 kB/s)
Lettura elenco dei pacchetti... Fatto
enrico@enrico-SCENIC-P-SCENICO-P:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt-get -f install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
libbamf3-0 : Dipende: bamfdaemon (= 0.2.126-0ubuntu1) ma la versione 0.2.124.2-0ubuntu1 è installata
E: Dipendenze non trovate. Riprovare usando -f.
enrico@enrico-SCENIC-P-SCENICO-P:~$
Cita messaggio
#6
intanto ricordati quando posti stringhe cosi lunghe di usare il tasto con il cancelletto nella casella della risposta. direi che siamo quasi a posto. a parte quel pacchetto che rimane nella versione vecchia, facciamo un altro tentativo, da sorgenti software, metti server principale invece di server italiano e riaggiorna usando tutti e tre i comandi:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
Cita messaggio
#7
RISOLTOOOO grazie evviva!!
Cita messaggio
#8
bene. ora per cortesia:
http://www.istitutomajorana.it/forum/Ann...nel-Titolo
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)